Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.cos
Class COSName

    java.lang.Object
      org.pdfbox.cos.COSBase
          org.pdfbox.cos.COSName

All Implemented Interfaces:
  Comparable, COSObjectable

public final class COSName
extends COSBase
implements Comparable

This class represents a PDF named object.

Version:
  $Revision: 1.31 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary
`static COSName` | `ACRO_FORM` A common COSName value.
`static COSName` | `ASCII_HEX_DECODE` A common COSName value.
`static COSName` | `ASCII_HEX_DECODE_ABBREVIATION` A common COSName value.
`static COSName` | `ASCII85_DECODE` A common COSName value.
`static COSName` | `ASCII85_DECODE_ABBREVIATION` A common COSName value.
`static COSName` | `BASE_ENCODING` A common COSName value.
`static COSName` | `BASE_FONT` A common COSName value.
`static COSName` | `CATALOG` A common COSName value.
`static COSName` | `CCITTFAX_DECODE` A common COSName value.
`static COSName` | `CCITTFAX_DECODE_ABBREVIATION` A common COSName value.
`static COSName` | `CONTENTS` A common COSName value.
`static COSName` | `COUNT` A common COSName value.
`static COSName` | `DCT_DECODE` A common COSName value.
`static COSName` | `DCT_DECODE_ABBREVIATION` A common COSName value.
`static COSName` | `DIFFERENCES` A common COSName value.
`static COSName` | `ENCODING` A common COSName value.
`static COSName` | `FILTER` A common COSName value.
`static COSName` | `FIRSTCHAR` A common COSName value.
`static COSName` | `FLATE_DECODE` A common COSName value.
`static COSName` | `FLATE_DECODE_ABBREVIATION` A common COSName value.
`static COSName` | `FONT` A common COSName value.
`static COSName` | `IDENTITY_H` A common COSName value.
`static COSName` | `IMAGE` A common COSName value.
`static COSName` | `JPX_DECODE` A common COSName value.
`static COSName` | `KIDS` A common COSName value.
`static COSName` | `LASTCHAR` A common COSName value.
`static COSName` | `LENGTH` A common COSName value.
`static COSName` | `LZW_DECODE` A common COSName value.
`static COSName` | `LZW_DECODE_ABBREVIATION` A common COSName value.
`static COSName` | `MAC_ROMAN_ENCODING` A common COSName value.
`static byte[]` | `NAME_ESCAPE` The escape character for a name.
`static byte[]` | `NAME_PREFIX` The prefix to a PDF name.
`static COSName` | `PAGE` A common COSName value.
`static COSName` | `PAGES` A common COSName value.
`static COSName` | `PARENT` A common COSName value.
`static COSName` | `PDF_DOC_ENCODING` A common COSName value.
`static COSName` | `PREV` A common COSName value.
`static COSName` | `RESOURCES` A common COSName value.
`static COSName` | `ROOT` A common COSName value.
`static COSName` | `RUN_LENGTH_DECODE` A common COSName value.
`static COSName` | `RUN_LENGTH_DECODE_ABBREVIATION` A common COSName value.
`static COSName` | `STANDARD_ENCODING` A common COSName value.
`static COSName` | `SUBTYPE` A common COSName value.
`static COSName` | `TO_UNICODE` A common COSName value.
`static COSName` | `TYPE` A common COSName value.
`static COSName` | `WIDTHS` A common COSName value.
`static COSName` | `WIN_ANSI_ENCODING` A common COSName value.

Method Summary
`Object` | `accept(ICOSVisitor visitor)` visitor pattern double dispatch method.
`int` | `compareTo(Object o)`
`boolean` | `equals(Object o)`
`String` | `getName()` This will get the name of this COSName object.
`static COSName` | `getPDFName(String aName)` This will get a COSName object with that name.
`int` | `hashCode()`
`String` | `toString()`
`void` | `writePDF(OutputStream output)` This will output this string as a PDF object.

Methods inherited from class org.pdfbox.cos.COSBase
`getCOSObject, getFilterManager`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ACRO_FORM

    public static final COSName ACRO_FORM

  A common COSName value.

### ASCII85_DECODE

    public static final COSName ASCII85_DECODE

  A common COSName value.

### ASCII85_DECODE_ABBREVIATION

    public static final COSName ASCII85_DECODE_ABBREVIATION

  A common COSName value.

### ASCII_HEX_DECODE

    public static final COSName ASCII_HEX_DECODE

  A common COSName value.

### ASCII_HEX_DECODE_ABBREVIATION

    public static final COSName ASCII_HEX_DECODE_ABBREVIATION

  A common COSName value.

### BASE_ENCODING

    public static final COSName BASE_ENCODING

  A common COSName value.

### BASE_FONT

    public static final COSName BASE_FONT

  A common COSName value.

### CATALOG

    public static final COSName CATALOG

  A common COSName value.

### CCITTFAX_DECODE

    public static final COSName CCITTFAX_DECODE

  A common COSName value.

### CCITTFAX_DECODE_ABBREVIATION

    public static final COSName CCITTFAX_DECODE_ABBREVIATION

  A common COSName value.

### CONTENTS

    public static final COSName CONTENTS

  A common COSName value.

### COUNT

    public static final COSName COUNT

  A common COSName value.

### DIFFERENCES

    public static final COSName DIFFERENCES

  A common COSName value.

### DCT_DECODE

    public static final COSName DCT_DECODE

  A common COSName value.

### DCT_DECODE_ABBREVIATION

    public static final COSName DCT_DECODE_ABBREVIATION

  A common COSName value.

### ENCODING

    public static final COSName ENCODING

  A common COSName value.

### FILTER

    public static final COSName FILTER

  A common COSName value.

### FIRSTCHAR

    public static final COSName FIRSTCHAR

  A common COSName value.

### FLATE_DECODE

    public static final COSName FLATE_DECODE

  A common COSName value.

### FLATE_DECODE_ABBREVIATION

    public static final COSName FLATE_DECODE_ABBREVIATION

  A common COSName value.

### FONT

    public static final COSName FONT

  A common COSName value.

### IDENTITY_H

    public static final COSName IDENTITY_H

  A common COSName value.

### IMAGE

    public static final COSName IMAGE

  A common COSName value.

### JPX_DECODE

    public static final COSName JPX_DECODE

  A common COSName value.

### KIDS

    public static final COSName KIDS

  A common COSName value.

### LASTCHAR

    public static final COSName LASTCHAR

  A common COSName value.

### LENGTH

    public static final COSName LENGTH

  A common COSName value.

### LZW_DECODE

    public static final COSName LZW_DECODE

  A common COSName value.

### LZW_DECODE_ABBREVIATION

    public static final COSName LZW_DECODE_ABBREVIATION

  A common COSName value.

### MAC_ROMAN_ENCODING

    public static final COSName MAC_ROMAN_ENCODING

  A common COSName value.

### PAGE

    public static final COSName PAGE

  A common COSName value.

### PAGES

    public static final COSName PAGES

  A common COSName value.

### PARENT

    public static final COSName PARENT

  A common COSName value.

### PDF_DOC_ENCODING

    public static final COSName PDF_DOC_ENCODING

  A common COSName value.

### PREV

    public static final COSName PREV

  A common COSName value.

### RESOURCES

    public static final COSName RESOURCES

  A common COSName value.

### ROOT

    public static final COSName ROOT

  A common COSName value.

### RUN_LENGTH_DECODE

    public static final COSName RUN_LENGTH_DECODE

  A common COSName value.

### RUN_LENGTH_DECODE_ABBREVIATION

    public static final COSName RUN_LENGTH_DECODE_ABBREVIATION

  A common COSName value.

### STANDARD_ENCODING

    public static final COSName STANDARD_ENCODING

  A common COSName value.

### SUBTYPE

    public static final COSName SUBTYPE

  A common COSName value.

### TYPE

    public static final COSName TYPE

  A common COSName value.

### TO_UNICODE

    public static final COSName TO_UNICODE

  A common COSName value.

### WIDTHS

    public static final COSName WIDTHS

  A common COSName value.

### WIN_ANSI_ENCODING

    public static final COSName WIN_ANSI_ENCODING

  A common COSName value.

### NAME_PREFIX

    public static final byte[] NAME_PREFIX

  The prefix to a PDF name.

### NAME_ESCAPE

    public static final byte[] NAME_ESCAPE

  The escape character for a name.

Method Detail

### getPDFName

    public static final COSName getPDFName(String aName)

  This will get a COSName object with that name.

  Parameters:
    `aName` - The name of the object.
  Returns:
    A COSName with the specified name.

### getName

    public String getName()

  This will get the name of this COSName object.

  Returns:
    The name of the object.

### toString

    public String toString()

  See Also:
    `Object.toString()`

### equals

    public boolean equals(Object o)

  See Also:
    `Object.equals( Object )`

### hashCode

    public int hashCode()

  See Also:
    `Object.hashCode()`

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`
  See Also:
    `Comparable.compareTo( Object )`

### accept

    public Object accept(ICOSVisitor visitor)
                  throws COSVisitorException

  visitor pattern double dispatch method.

  Specified by:
    `accept` in class `COSBase`
  Parameters:
    `visitor` - The object to notify when visiting this object.
  Returns:
    any object, depending on the visitor implementation, or null
  Throws:
    `COSVisitorException` - If an error occurs while visiting this object.

### writePDF

    public void writePDF(OutputStream output)
                  throws IOException

  This will output this string as a PDF object.

  Parameters:
    `output` - The stream to write to.
  Throws:
    `IOException` - If there is an error writing to the stream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD